# Uses of Interface
org.lwjgl.util.WritableRectangle

Packages that use WritableRectangle
Package
Description
org.lwjgl.util

## Uses of WritableRectangle in org.lwjgl.util

Classes in org.lwjgl.util that implement WritableRectangle
Modifier and Type
Class
Description
`final class`
`Rectangle`
A 2D integer Rectangle class which looks remarkably like an AWT one.
Methods in org.lwjgl.util that return WritableRectangle
Modifier and Type
Method
Description
`WritableRectangle`
Rectangle.`union(ReadableRectangle r, WritableRectangle dest)`
Computes the union of this `Rectangle` with the specified `Rectangle`.
Methods in org.lwjgl.util with parameters of type WritableRectangle
Modifier and Type
Method
Description
`void`
ReadableRectangle.`getBounds(WritableRectangle dest)`
Copy this readable rectangle's bounds into a destination Rectangle
`void`
Rectangle.`getBounds(WritableRectangle dest)`
`WritableRectangle`
Rectangle.`union(ReadableRectangle r, WritableRectangle dest)`
Computes the union of this `Rectangle` with the specified `Rectangle`.